# LTSpiceBenchmark
LTSpice XVII Benchmark

How to Run
1. Download and install [LTSpice](https://www.analog.com/en/design-center/design-tools-and-calculators/ltspice-simulator.html) (Make sure to select x64 and use the defualt install location)
4. Right click on benchmark.ps1 and select properties. At the bottom of the general tab, select unblock
5. Disable windows defender's real time protection (LTSpice write results to disk during simulation with many small writes. Windows Defender real time protection increases the latency of these writes and slows the benchmark down.)
6. Right click on benchmark.ps1 and select 'Run with PowerShell'
7. PowerShell may ask for confirmation to run a unsigned script, type Y and hit enter
8. The benchmark will run for 5-30 mins
9. Once the script is done, press enter to exit,
10. Open the 'LTSpiceBenchmarkReport.txt' file to see your times and total.

Example from my system:
```
LTSpice Benchmark Report
HAL2022 10/03/2022 15:51:24

Name                                     NumberOfCores NumberOfEnabledCore NumberOfLogicalProcessors
----                                     ------------- ------------------- -------------------------
Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz             6                   6                        12



File                     ExecTime
----                     --------
AzurAmp.asc                   2,9
LT3845_TA01.asc              12,3
BuckBoost.asc                12,6
MonteCarlo.asc                7,4
SettleTime.asc               13,6
Electrometer.asc             71,5
OscillatorQuadrature.asc    237,2
AudioChannels16.asc         485,3


Total time: 854.8 seconds
```
